# This file is part of PooPyLab.
#
# PooPyLab is a simulation software for biological wastewater treatment
# processes using International Water Association Activated Sludge Models.
#    
#    Copyright (C) Kai Zhang
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# 
#    This is the definition of some constants that will be used throughout
#    the PooPyLab program
#
# 

"""Definitions of some constants (may change soon).
"""
## @namespace constants
## @file constants.py


## number of ASM 1 model components
_NUM_ASM1_COMPONENTS = 13
## number of ASM 3 model components
_NUM_ASM3_COMPONENTS = 13
## number of ASM 2d model components
_NUM_ASM2d_COMPONENTS = 21

## convergence limit
_CONVERG_LIMIT = 1E-5
